#
# spec file for package redstone-xmlrpc
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define third_party_jars servletapi5
Summary:        An xmlrpc library

Name:           redstone-xmlrpc
Source9999:     version
Version:        1.1_20071120
Release:        0.12.47.uyuni3
License:        LGPL-2.1+
Group:          Development/Libraries/Java
Url:            http://xmlrpc.sourceforge.net
Source0:        %{name}-%{version}.tar.gz
Patch0:         build-classpath.patch
Patch1:         fault_serialization.patch
Patch2:         client_escape_bug.patch
Patch3:         redstone-xmlrpc-1.1_20071120-jdk9.patch
Patch4:         xxe.patch
Patch5:         xxe2.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  jpackage-utils >= 1.5
BuildRequires:  servletapi5
BuildRequires:  ant
BuildRequires:  java-devel >= 1.7.0
BuildArch:      noarch
Requires:       servletapi5
Obsoletes:      marquee-xmlrpc

%description 
a simple xmlrpc library for java



%prep
%setup -n xmlrpc
%patch0 -p1
%patch1 -p0
%patch2 -p0
%patch3 -p1
%patch4 -p0
%patch5 -p0
rm lib/javax.servlet.jar
build-jar-repository -p lib/ %third_party_jars

%build
ant jars

%install
rm -rf $RPM_BUILD_ROOT

install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 build/lib/xmlrpc-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
install -m 644 build/lib/xmlrpc-client-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-client-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%{_javadir}/*.jar

%changelog
* Thu Feb 20 2020 Julio González Gil <jgonzalez@suse.com>
- Disable external entity parsing (1790381, bsc#1164120, CVE-2020-1693)
- Add:
  * xxe2.patch
- Do not download external entities (1555429, bsc#1085414, CVE-2018-1077)
- Add:
  * xxe.patch
* Thu Nov  2 2017 jgonzalez@suse.com
- Fix build with java9
- Add:
  * redstone-xmlrpc-1.1_20071120-jdk9.patch
* Wed Jun 25 2014 dmacvicar@suse.de
- use SPDX for the license
* Fri Dec  9 2011 jrenner@suse.de
- Add patch for client not escaping '>' correctly (bnc#735665)
* Thu Dec  9 2010 mc@suse.de
- initial release
